Page MenuHomePhabricator

Move WikiProject names to separate table for PageAssessments
Closed, ResolvedPublic5 Story Points

Description

We should create a separate table for storing WikiProject names (with an autoincremented ID), and then reference that ID from the main page_assessments table. That will keep us from storing duplicate data in the page_assessments table and also allow us to have a much smaller index.

We will also need to update the API code and tests to accommodate this change.

Event Timeline

kaldari created this task.Mar 24 2016, 5:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2016, 5:19 PM
kaldari triaged this task as Low priority.Mar 24 2016, 5:19 PM
DannyH set the point value for this task to 5.Mar 24 2016, 5:20 PM
kaldari updated the task description. (Show Details)Mar 24 2016, 5:20 PM
DannyH moved this task from Untriaged to Estimated on the Community-Tech board.
DannyH raised the priority of this task from Low to Normal.Apr 11 2016, 6:38 PM
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.

Change 283196 had a related patch set uploaded (by Niharika29):
Move wikiprojects to a separate table in PageAssessments extension

https://gerrit.wikimedia.org/r/283196

@Niharika: Please build this on top of https://gerrit.wikimedia.org/r/#/c/263575/ rather than as a new branch.

@Niharika: Any thoughts about how to handle case sensitivity?

@Niharika: Any thoughts about how to handle case sensitivity?

Force everything to lowercase?

Change 283196 abandoned by Kaldari:
Move wikiprojects to a separate table in PageAssessments extension

Reason:
Squashed into https://gerrit.wikimedia.org/r/#/c/279130/

https://gerrit.wikimedia.org/r/283196

@Niharika: I did some testing and it looks like the database functions are already case insensitive, so we don't have to worry about it. Also, per Brad's advice, I went ahead and squashed the 3 patches into 1 patch. That should make things less confusing.

kaldari closed this task as Resolved.May 20 2016, 9:33 PM
DannyH moved this task from Estimated to Archive on the Community-Tech board.May 24 2016, 8:20 PM